summaryrefslogtreecommitdiff
path: root/scripts/rustc-llvm-version.sh
diff options
context:
space:
mode:
authorGreg Kroah-Hartman <gregkh@linuxfoundation.org>2024-10-21 08:53:43 +0200
committerGreg Kroah-Hartman <gregkh@linuxfoundation.org>2024-10-21 08:53:43 +0200
commitc6d9e43954bfa7415a1e9efdb2806ec1d8a8afc8 (patch)
tree4f8b23679ea48fcfbee582f876f62e144c71f8d7 /scripts/rustc-llvm-version.sh
parent07b887f8236eb3ed52f1fe83e385e6436dc4b052 (diff)
parent42f7652d3eb527d03665b09edac47f85fb600924 (diff)
Merge 6.12-rc4 into usb-next
We need the USB fixes in here as well. Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
Diffstat (limited to 'scripts/rustc-llvm-version.sh')
-rwxr-xr-xscripts/rustc-llvm-version.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/rustc-llvm-version.sh b/scripts/rustc-llvm-version.sh
new file mode 100755
index 000000000000..b6063cbe5bdc
--- /dev/null
+++ b/scripts/rustc-llvm-version.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+#
+# Usage: $ ./rustc-llvm-version.sh rustc
+#
+# Print the LLVM version that the Rust compiler uses in a 6 digit form.
+
+# Convert the version string x.y.z to a canonical up-to-6-digits form.
+get_canonical_version()
+{
+ IFS=.
+ set -- $1
+ echo $((10000 * $1 + 100 * $2 + $3))
+}
+
+if output=$("$@" --version --verbose 2>/dev/null | grep LLVM); then
+ set -- $output
+ get_canonical_version $3
+else
+ echo 0
+ exit 1
+fi